## menu 1.3-2

=== Makefile ===
CXXFLAGS=-O0 -g -Wall -fhandle-exceptions 
#Although I always test-compile this with -O0, the debian/rules file
#will call this makefile with CFLAGS=-O2, so your release is always optimised.

all: update-menus common.old.o


update-menus.o: adstring.h  update-menus.cc update-menus.h
	rm -f update-menus.o
	g++ -c -o update-menus.o $(CXXFLAGS) update-menus.cc

update-menus: update-menus.o adstring.o
	rm -f update-menus
	g++ -o update-menus $(CXXFLAGS) update-menus.o adstring.o

update-menus.old.o:update-menus.old.cc common.h update-menus.old.h
	rm -f update-menus.old.o
	g++ -c -o update-menus.old.o $(CXXFLAGS) update-menus.old.cc

update-menus.old: update-menus.old.o common.old.o
	rm -f update-menus.old
	g++ -o update-menus.old $(CXXFLAGS) update-menus.old.o common.old.o

clean   :
	rm -f *.o update-menus core update-menu update-new build


adstring.o: adstring.cc adstring.h
	g++ -c $(CXXFLAGS) -o adstring.o adstring.cc


backup  :
	#Sorry, but this is just so that I can backup more easily
	make clean
	make -C menu-method clean
	make -C fvwmgen clean
	-rm -r debian/tmp
	tar -cvzf $$GM0HOME/menu.tar.gz .

=== fvwmgen/Makefile ===
CPPFLAGS=-I..
CXXFLAGS=-O0 -g -Wall  
#Although I always test-compile this with -O0, the debian/rules file
#will call this makefile with CFLAGS=-O2, so your release is always optimised.

all: fvwmgen

fvwmgen.o:fvwmgen.cc ../common.old.h fvwmgen.h
	rm -f fvwmgen.o
	g++ $(CPPFLAGS) $(CXXFLAGS) -c  -o fvwmgen.o fvwmgen.cc

fvwmgen: fvwmgen.o ../common.old.o
	rm -f fvwmgen
	g++ -o fvwmgen $(CXXFLAGS) fvwmgen.o ../common.old.o

clean   :
	rm -f fvwmgen fvwmgen.o core

=== menu-method/Makefile ===
CPPFLAGS=-I..
CXXFLAGS=-O0 -g -Wall -fhandle-exceptions   
#Although I test-compile this with -O0, the debian/rules file
#will call this makefile with CFLAGS=-O2, so your release is always optimised.

all: menu-method

menu-method.o: menu-method.h menu-method.cc
	rm -f menu-method.o
	g++ $(CPPFLAGS) $(CXXFLAGS) -c  -o menu-method.o menu-method.cc

menu-method: menu-method.o ../adstring.o
	rm -f menu-method
	g++ -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o

static: menu-method.o ../adstring.o
	rm -f menu-method
	g++ -o static $(CXXFLAGS) menu-method.o ../adstring.o\
	     -lc -Wl,-static -lstdc++

adstring.o:../adstring.h ../adstring.cc
	make -C .. adstring.o 

clean   :
	rm -f menu-method.o menu-method core static 2

backup : clean
	tar -cvzf $$GM0HOME/menu.tar.gz *

=== debian/changelog ===
menu (1.3-2) frozen unstable; urgency=low	
  * couple of simple bug-fixes. All not very serious, but would
    like this to go into frozen anyway.
  * fixed menuentry(5) manual page (was simply wrong)
  * made the default install messages somewhat nicer (in order not
    to scare away newbies)
  * Redirected stderr of the killall command in postinst to /dev/null
  * fixed typos in extended description (in control file).
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 14 May 1997 22:13:01 +0200

menu (1.3-1) frozen unstable; urgency=low

  * Only change: added ifeq(), ifneq(), ifeqelse(), ifroot() to install-menu
    (and the README).
  * Added a "killall update-menus" to postinst (to prevent problems if
    update-menus is upgraded along with other packages that use it).
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 8 May 1997 12:43:00 +0200

menu (1.2-3) frozen unstable; urgency=low

  * Another two-line-fix to update-menus, fixing the compat mode code.
    (if no icon was defined, that resulted in errors for the compat mode).
  * I would like this release to go into frozen, as it does
    fix a long-standing bug (still present in frozen), and will
    improve many people's experience with the menu's after isntalling
    some "unstable" packages (some of which may need the new menu
    functionality).
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 5 May 1997 15:29:12 +0200

menu (1.2-2) unstable; urgency=low

  * Thanks, Andy Mortimer, for noticing I don't close the fd's. 
    doing that now.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 3 May 1997 15:43:46 +0200

menu (1.2-1) unstable; urgency=low

  * Changes to README (documents parent(), basename()).
  * Slichtly changed the dpkg-lockfile detection in update-menus,
    after a report from Andy Mortimer

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 3 May 1997 14:52:45 +0200

menu (1.2) unstable; urgency=low

  * Fixes to example dwww script (though Jim Pick has a much
    better one)
  * Fixes to install-menu, for submenu entries.
  * Fixes to update-menus, no core dup on malformed "?package(..)" in
    menuentry files.
  * extra functions replacewith(), prefix() (install-menu)
  * make hotkeys case-insensitive.
  * the genmenu=, prerun=, postrun= assignments can now contain
    substitutions just like the startmenu etc ones.
  * Added a "|| errno==EACCES" after the attempt to lock the dpkg lockfile
    to hopefully check for all possible errno valus fcntl creates.
  * changed the "your system is messed up badly" message to 
    something nicer (now it is "please help me track down 
    this problem I have")
  * update-menus only gives the "forking to backround" text when
    it didn't kill any other update-menus (so you'll only see it
    once in a multy-package install session).


 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 30 Apr 1997 22:55:57 +0200

menu (1.1) unstable; urgency=low

  * Added a few more example-menumenthods (afterstep, ctwm, twm, fvwm,
    fvwm95, dwww). With dwww you now have descriptions of the packages
    in the http://rulcmc.leidenuniv.nl/dwww/menu.html page.
    (make that http://localhost/dwww/menu.html, after you've instaled it).
  * These new menu-methods are now better than the old ones, as they
    properly quote the title.
  * fixed a few bugs in install-menu that caused it to interpret
    ifnempty() and ifempty() the wrong way around (also ifelse,...).
  * fixed permissions in /usr/doc/examples/*
  * fixed a few "default" menuentries.
    

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 21 Apr 1997 23:30:28 +0200

menu (1.0) unstable; urgency=low

  * complete remake, added a lot of functionality.
  * New features
     - support for long titles and descriptions,
     - much more flexible /etc/menu-methods files,
     - if dpkg is running, forks into background, to get rid of that
       "need to run update-menus twice" syndrome.
     - support for hotkeys
  * see /usr/doc/menu/BUGS for known limitations of this release.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Wed, 16 Apr 1997 20:06:45 +0200

menu (0.11) unstable; urgency=low

  * fix "#" bug (a # is only a comment if it follows a space or newline)
  * add an example to create a www page for packages providing
    "dwww" documentation
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 23 Jan 1997 22:27:30 +0100

menu (0.10) unstable; urgency=low
  
  * Manpages by Joey Hess (now it's a real package!)
  * if user runs, and ~/.menu-methods exists, read the
    config files from there (and don't process /etc/menu-methods).
  * Add support for olvwm ("treewalk" attribute /etc/menumethods)
  * -f -stdio is now standard (options are ignored, and always passed on
    to /etc/menu-methods/*)
  * files in /etc/menu-methods with anything other than letters/figures/_-
    are silently ignored by update-menus
  * some speedup in install-fvwmgenmenu (not as much as I'd hoped).
  * added $d{var}, $s{var}, $b{var} variable substitutions
    (request from Joey Hess).
  * if getuid()!=0, also parse /etc/menus, /usr/lib/menus.
  * Moved Lockscreen and Savescreen to Screen/ in default menus
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 12 Jan 1997 00:46:38 +0100

menu (0.9) unstable; urgency=low

  * "popup" bugfix
  * Don't read /etc/menu-methods/*.* files (with a dot in it, usually
    backup files from dpkg).
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 3 Jan 1997 14:31:15 +0100

menu (0.8) unstable; urgency=low
  * Fixing longstanding bug (one Joey reported loads of times)
    when update-menus is run from a postinst (from a previously
    uninstalled package), update-menus assumes this pacage is not installed.
    Fixed by looking at commandline of ppid, and checking for
    "bash /var/lib/dpkg/info/$package.postinst"
  * The fvwmgenmenu now has a more general compat mode that should
    supports all window-managers, without recompilation.


=== debian/control ===
Source: menu
Section: admin
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 2.1.1.0

Package: menu
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: pdmenu (<=0.5.9)
Description: provides update-menus functions for some applications
 The intent of this package is to streamline the menu's (like the
 fvwm2 ones) in debian. For this purpose, it provides a "update-menus"
 programme, that will check for new menu files (as provided by
 other packages in /usr/lib/menu), and run the install programmes
 in /etc/menu-methods of the various window managers (or console menu's,
 like pdmenu) on the new menufiles.
 Also in this package are a couple menu entries, as an 
 example.  The system admin can easily override these, as can any 
 package maintainer.

=== debian/rules ===
#! /usr/bin/make -f
#   -*- mode: makefile; -*-
#
# Last updated: Sat Dec 17 10:52:20 EST 1994 by imurdock.
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian.rules dist'.
# Make sure that `debian.rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian.rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
# the previous revision of the ``Debianized'' source package and context diff
# in the parent directory.

CC = gcc

#gcc doesn't support optimisation with exeptions.
CXXFLAGS = -g -fhandle-exceptions



p = menu


build:
	make -C .           
	make -C menu-method 
	make -C fvwmgen     CXXFLAGS="$(CXXFLAGS)"
	touch build


clean:	
	#Undoes the effect of `make -f debian.rules build'.
	#make distclean
	#rm -f docs/Makefile docs/latextut/Makefile
	-rm -rf debian/tmp build menu
	make -C . clean
	make -C menu-method clean
	make -C fvwmgen clean

binary-indep:   checkroot build
        $(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.


binary-arch:
	rm -rf debian/tmp
	install -d -g root -m 755 -o root debian/tmp
	install -d -g root -m 755 -o root debian/tmp/DEBIAN
	install -d -g root -m 755 -o root debian/tmp/usr/bin
	install -d -g root -m 755 -o root debian/tmp/usr/sbin
	install -d -g root -m 755 -o root debian/tmp/usr/man/man{1,5}
	install -d -g root -m 755 -o root debian/tmp/usr/lib/menu/default
	install -d -g root -m 755 -o root debian/tmp/usr/doc/menu/examples
	install -d -g root -m 755 -o root debian/tmp/etc/menu-methods
	install -d -g root -m 755 -o root debian/tmp/etc/menu
	#
	install -g root -o root -m 755 \
	   debian/postinst debian/tmp/DEBIAN/postinst
	install -g root -o root -m 755 \
	   debian/prerm debian/tmp/DEBIAN/prerm
	#
	install -s -g root -o root -m 755 \
	   update-menus debian/tmp/usr/bin/update-menus
	install -s -g root -o root -m 755 \
           fvwmgen/fvwmgen  debian/tmp/usr/sbin/install-fvwmgenmenu
	install -s -g root -o root -m 755 \
	   menu-method/menu-method  debian/tmp/usr/sbin/install-menu
	install  -g root -o root -m 755 \
	   su-to-root  debian/tmp/usr/sbin/su-to-root
	install  -g root -o root -m 755 \
	   convert-menuentry debian/tmp/usr/bin/convert-menuentry
	#
	cp  examples/* debian/tmp/usr/doc/menu/examples
	cp  default/* debian/tmp/usr/lib/menu/default
	install -g root -o root -m 644 \
	   translate_menus debian/tmp/etc/menu-methods/translate_menus
	#
	install -g root -o root -m 644 \
	   README README.changes BUGS debian/tmp/usr/doc/menu/
	install -g root -o root -m 644 \
	   README.config-menus debian/tmp/etc/menu/README
	install -g root -o root -m 644 \
	   README.menu-methods debian/tmp/etc/menu-methods/README
	install -g root -o root -m 644 \
	   README.package-menus debian/tmp/usr/lib/menu/README
	install -g root -o root -m 644 \
	   debian/copyright debian/tmp/usr/doc/menu/copyright
	install -g root -o root -m 644 \
	   debian/changelog debian/tmp/usr/doc/menu/changelog.Debian
	install -g root -o root -m 644 \
	   update-menus.1 debian/tmp/usr/man/man1/update-menus.1
	install -g root -o root -m 644 \
	   menufile.5 debian/tmp/usr/man/man5/menufile.5
	#
	cp debian/conffiles debian/tmp/DEBIAN/conffiles
	dpkg-shlibdeps ./update-menus ./menu-method/menu-method ./fvwmgen/fvwmgen
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary:	 binary-indep binary-arch


checkroot:
	$(checkdir)
	test root = "`whoami`"

## menu 1.5-5.1

=== Makefile ===
--- 
+++ 
@@ -2,14 +2,14 @@
 #Although I always test-compile this with -O0, the debian/rules file
 #will call this makefile with CFLAGS=-O2, so your release is always optimised.
 
-all: update-menus common.old.o
+all: update-menus common.old.o 
 
 
 update-menus.o: adstring.h  update-menus.cc update-menus.h
 	rm -f update-menus.o
 	g++ -c -o update-menus.o $(CXXFLAGS) update-menus.cc
 
-update-menus: update-menus.o adstring.o
+update-menus: adstring.o update-menus.o
 	rm -f update-menus
 	g++ -o update-menus $(CXXFLAGS) update-menus.o adstring.o

=== menu-method/Makefile ===
--- 
+++ 
@@ -1,11 +1,9 @@
 CPPFLAGS=-I..
 CXXFLAGS=-O0 -g -Wall -fhandle-exceptions   
-#Although I test-compile this with -O0, the debian/rules file
-#will call this makefile with CFLAGS=-O2, so your release is always optimised.
 
 all: menu-method
 
-menu-method.o: menu-method.h menu-method.cc
+menu-method.o: menu-method.h menu-method.cc ../adstring.h
 	rm -f menu-method.o
 	g++ $(CPPFLAGS) $(CXXFLAGS) -c  -o menu-method.o menu-method.cc

=== debian/changelog ===
menu (1.5-5.1) experimental; urgency=low

  * non maintainer libc5/experimental release by Andreas Jellinghaus

 -- Andreas Jellinghaus <aj@debian.org>  Mon, 20 Oct 1997 08:37:15 -0400

menu (1.5-5) unstable; urgency=low

  * Added ifelsefile, and catfile functions for Andreas Jellinghaus.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Tue,  7 Oct 1997 22:21:24 +0200

menu (1.5-4) unstable; urgency=low

  * Removed several "debugging" files (gmon.out, output of strace, etc).
  * Now really create html documentation during pacakge build.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 18 Sep 1997 19:38:27 +0200

menu (1.5-3) unstable; urgency=low
  * Fixed a bug found by a close cooperation with the xpat2 maintainer
    and Lars Wirzenius: if a menuentry (for xpat2 in this case) begins with
    "?package(non-installed-package)", and has less than some number of
    variable-assignements after the colon, update-menus reported an error.
    (if there are "enough" assignemnts, no error will be reported, but
    update-menu would create a bogus menuentry). Good work, guys!
  * Switched the "postinst" and "postrm" labels in the documentation,
    fixing bug#12522 (and 12521, for that matter).
  * added a much bigger xbase menuentry file. This one really should
    go into xbase itself, and Mark asked me for it, but I've had too
    little time to really check this. Hopefully by including it in
    menu it will recieve some more checking, untill I feel confident
    enough to send it to Mark Eichin.
  * Removed xlockmore menuentry file, is now part of xlockmore.
  * (and I removed another menuentry file, but cannot remember
    which one).
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 18 Sep 1997 19:18:44 +0200

menu (1.5-2) unstable; urgency=low

  * Added a sanity-check for instal-menus config file (prevents
    setfaults).
  * removed xlockmore default menu entries, they are now in the
    xlockmore package (or will be, soon).
  * corrected default dpkg menu entries.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun,  3 Aug 1997 22:19:11 +0200

menu (1.5-1) unstable; urgency=low

  * Added entrycount(), entryindex functions. 
  * Added add(), sub(), mult(), div() functions.
  * moved cmap.xpm to .../pixmaps
  * now includes sgml and html versions of README.
    (due to restrictions of debiandoc, no info files can be made!)
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 13 Jul 1997 13:13:11 +0200

menu (1.4-2) unstable; urgency=low

  * Now depends on libg++272. (Made possible by a dpkg-source bugfix
    from Joey Hess).
    
  * Few fixes to how debugging/error output is handled (cosmetic).
  * this release still has a (harmless) race-condition (noticed
    by Joey Hess),when two update-menus programmes run simultaniously
    while dpkg -i something is running (or Suspended).

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 10 Jul 1997 23:05:14 +0200

menu (1.4-1) unstable; urgency=low

  * Due to extra features/bugreporting, this version doesn't work well
    with the menu-bugs in fvwm95_2.0.42a-10, and latex2html_96.1.h-5.

  * added ability do "define" functions to install-menu.
    (very usefull if you want to have a common xterm/rxvt for all
    window managers)
  * '!include \"/etc/menu-method/filename\"'
  * read !include "filename" relative to current direcotry
  * provide /etc/menu-method/menu.h example file.
  * parsing of (all) files files somewhat rewritten; should be
    more stable now (except for bugs).
  * trailing spaces are stripped (so a \ at the end of the
    line will always be a continuation line, even if there's a
    space after it).
  * _Much_ better error reporting.
  * removed all those pesky "icon=none" from the example menufiles.
  * in new menu format, "package(local.*)" is considered installed
  * fix bug in hotkey generation
  * first check for "examplercfile" (system.$wm-menu), and then create
    output file.
  * made the README in /usr/doc/menu/example/README somewhat clearer as
    to what the purpose of these files is
  * incorporated afterstep-package menu-method's into my example
    menu-method (allong with the "!include menu.h" stuff).
  * install-menu: added toupper() and tolower() functions
  * do not attempt to read menuentry files with the name "core".
  * Using libc6 now
  * fixed gpmconfig entry.
  * added Joey's cmap.xpm file.
  * in compat mode (for old /etc/menu-methods's), write esccpp($title)
    as identifier (fixes "install-menu uses text instead of x11 entry"
    bug).
  * in case of missing "section=" (in new-format menuentry), assume
    seciont="/". (fixes a reported bug, I believe).
  * "+" can now be part of a package name, in new-format menuentries.
    (previously, doc++ and libg++ couldn't have a new-format menuentry).
  * executable menuentries are now executed, and the stdout used as
    menuentry (nice feature request from Joey Hess)
  * update-menus now reads config info in /etc/menu-methods/menu.config
    (or ~/.menu-methods/menu.config). Currently can specify only error
    logging. (set "verbosity=quite" in /etc/menu-methods/menu.config to
    remove all messages). Not very well tested yet.
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sat, 21 Jun 1997 13:24:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	make -C .           
 	make -C menu-method 
 	make -C fvwmgen     CXXFLAGS="$(CXXFLAGS)"
+	make -C doc
 	touch build
 
 
@@ -38,7 +39,7 @@
 	#Undoes the effect of `make -f debian.rules build'.
 	#make distclean
 	#rm -f docs/Makefile docs/latextut/Makefile
-	-rm -rf debian/tmp build menu
+	-rm -rf debian/tmp build menu doc/menu.html/* doc/menu.info
 	make -C . clean
 	make -C menu-method clean
 	make -C fvwmgen clean
@@ -52,13 +53,13 @@
 
 binary-arch:
 	rm -rf debian/tmp
-	install -d -g root -m 755 -o root debian/tmp
 	install -d -g root -m 755 -o root debian/tmp/DEBIAN
-	install -d -g root -m 755 -o root debian/tmp/usr/bin
-	install -d -g root -m 755 -o root debian/tmp/usr/sbin
+	install -d -g root -m 755 -o root debian/tmp/usr/{bin,sbin}
 	install -d -g root -m 755 -o root debian/tmp/usr/man/man{1,5}
 	install -d -g root -m 755 -o root debian/tmp/usr/lib/menu/default
-	install -d -g root -m 755 -o root debian/tmp/usr/doc/menu/examples
+	install -d -g root -m 755 -o root debian/tmp/usr/X11R6/include/X11/pixmaps
+	install -d -g root -m 755 -o root \
+	     debian/tmp/usr/doc/menu/{examples,html}
 	install -d -g root -m 755 -o root debian/tmp/etc/menu-methods
 	install -d -g root -m 755 -o root debian/tmp/etc/menu
 	#
@@ -67,24 +68,28 @@
 	install -g root -o root -m 755 \
 	   debian/prerm debian/tmp/DEBIAN/prerm
 	#
-	install -s -g root -o root -m 755 \
+	install -s -g root -o root -m 0755 \
 	   update-menus debian/tmp/usr/bin/update-menus
-	install -s -g root -o root -m 755 \
+	install -s -g root -o root -m 0755 \
            fvwmgen/fvwmgen  debian/tmp/usr/sbin/install-fvwmgenmenu
-	install -s -g root -o root -m 755 \
+	install -s -g root -o root -m 0755 \
 	   menu-method/menu-method  debian/tmp/usr/sbin/install-menu
-	install  -g root -o root -m 755 \
+	install  -g root -o root -m 0755 \
 	   su-to-root  debian/tmp/usr/sbin/su-to-root
-	install  -g root -o root -m 755 \
+	install  -g root -o root -m 0755 \
 	   convert-menuentry debian/tmp/usr/bin/convert-menuentry
+	install  -g root -o root -m 0644 \
+	   debian/menu debian/tmp/usr/lib/menu/
 	#
-	cp  examples/* debian/tmp/usr/doc/menu/examples
-	cp  default/* debian/tmp/usr/lib/menu/default
+	cp examples/* debian/tmp/usr/doc/menu/examples
+	cp default/* debian/tmp/usr/lib/menu/default
+	cp -a doc/menu.html/* debian/tmp/usr/doc/menu/html
+	cp cmap.xpm debian/tmp/usr/X11R6/include/X11/pixmaps
 	install -g root -o root -m 644 \
-	   translate_menus debian/tmp/etc/menu-methods/translate_menus
+	   translate_menus menu.h debian/tmp/etc/menu-methods/
 	#
 	install -g root -o root -m 644 \
-	   README README.changes BUGS debian/tmp/usr/doc/menu/
+	   doc/menu.sgml README.changes BUGS debian/tmp/usr/doc/menu/
 	install -g root -o root -m 644 \
 	   README.config-menus debian/tmp/etc/menu/README
 	install -g root -o root -m 644 \

## menu 1.5-12

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 update-menus: adstring.o update-menus.o
 	rm -f update-menus
-	g++ -o update-menus $(CXXFLAGS) update-menus.o adstring.o
+	gcc -o update-menus $(CXXFLAGS) update-menus.o adstring.o  -lstdc++ #-lg++
 
 update-menus.old.o:update-menus.old.cc common.h update-menus.old.h
 	rm -f update-menus.old.o
@@ -22,10 +22,10 @@
 	g++ -o update-menus.old $(CXXFLAGS) update-menus.old.o common.old.o
 
 clean   :
-	rm -f *.o update-menus core update-menu update-new build
+	rm -f *.o update-menus core update-menu update-new build 2 
 
 
-adstring.o: adstring.cc adstring.h
+adstring.o: adstring.cc adstring.h 
 	g++ -c $(CXXFLAGS) -o adstring.o adstring.cc

=== doc/Makefile ===
all: menu.html/index.html #menu.info menu.dvi

menu.html/index.html: menu.sgml
	debiandoc2html menu.sgml

menu.info: menu.sgml
	debiandoc2info menu.sgml

clean: 
	rm -rf *.html *.info *.dvi

=== fvwmgen/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 fvwmgen: fvwmgen.o ../common.old.o
 	rm -f fvwmgen
-	g++ -o fvwmgen $(CXXFLAGS) fvwmgen.o ../common.old.o
+	gcc -o fvwmgen $(CXXFLAGS) fvwmgen.o ../common.old.o -lstdc++
 
 clean   :
 	rm -f fvwmgen fvwmgen.o core

=== menu-method/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 menu-method: menu-method.o ../adstring.o
 	rm -f menu-method
-	g++ -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o
+	gcc -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o -lstdc++ -lg++
 
 static: menu-method.o ../adstring.o
 	rm -f menu-method

=== debian/changelog ===
menu (1.5-12) frozen unstable; urgency=low

  * Fixed mis-handling of files that don't end with newline.
    noticed by Jochen Kronjaeger <Kronjaeg@Stud-Mailer.Uni-Marburg.DE>
    (thanks!)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Mon, 23 Mar 1998 20:42:14 +0100

menu (1.5-11) unstable; urgency=low

  * Went through the buglist again, and updated the default
    menuentryfiles (and removed those that now exists in other
    debian packages). Fixes: 13880 15081 17171 17215 17292.

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 15 Mar 1998 10:39:08 +0100

menu (1.5-10) unstable; urgency=low

  * Oh, yes, Aaron Howell, you were right. I did forget to close (free)
    some files. Fixed that, so this fixes: 17253
  * Fixed error in install-menu that caused the creation directories
    in / (at least for KDE and wmaker. Not sure why not for other wm's)
  
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 15 Mar 1998 10:02:23 +0100

menu (1.5-9) unstable; urgency=low

  * Fixed several possible segmentation faults (all in error-reporting
    routines)
  * Input buffer for 'readline' increased to 10240 bytes. Fixes: #19482
    (should really fix this sometime)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 12 Mar 1998 21:23:13 +0100

menu (1.5-8) unstable; urgency=low

  * Removed reference to README in all files where it was still referenced.
    (many, many files, that was!)
  * changed a \fL to a \fB in the menufile.5 manpage
    (fix suggested by Joey Hess).  fixes: #17187
  * Make wm-menu-config an executable script.
  * applied suggested fixes to doc/menu.sgml, fixes: #17475
  * changed default warning "#Automatically generated file. Do not edit
    (see /usr/doc/menu/README)" to point to /usr/doc/menu/html/index.html.
    (This is placed at the top of the files install-menu generates).
  * document the availability of "!include file" in the menuentry files
  * Changed a "~/menu-methods" to "~/.menu-methods" in update-menus.1
  * Numerous changes to the documentation, after many suggestions
    from Yann Dirson (thanks!)
  * Applied patch from Herberd, fixes:19056  
  * removed the libg++ dependancy code (not the libg++ package, it still
    uses libstdc++).
 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Sun, 8 Mar 1998 12:00:13 +0100

menu (1.5-7) unstable; urgency=low

  * Really added wm-menu-config file (Fixes: #17169)
  * compressed menufile.5 (Fixes: #17168)
  * Added geometry to rxvt entry in menu.h (as suggested in #17171)
  * Really removed gv default menuentry. (Fixes: #17170)

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Fri, 16 Jan 1998 02:23:13 +0100

menu (1.5-6) unstable; urgency=low
  * done nothing at all, fixes: #13648, #13657, #13676, #13677, #13680, #15765
    (fixing 6 GRAVE bugs, by doing nothing)
  * Removed default menufiles for xlockmore, fixes: #10831 
  * Added the "suggested" variables "geometry" and "visability" to
    the menu.sgml file, and /etc/menu-method/menu.h.
  * Added some comments to /usr/doc/menu/examples/cat
  * Fixed the dpkg default menuentry file. Fixes: #14170, #15847
  * Finally applied (most of) patch supplied by Nikita Schmidt.
    Fixes: #14318
  * removed convert-menuentry, fixes: #15914
  * Applied patch from Dirk Luetjens <dirk@luedi.oche.de>
    fixes: Bug#15871
  * Now compresses update-menus.1 manual page
    fixes: #14569
  * Compressed changelog.Debian. Fixes: #15429
  * Removed the following default menuentry files: 
      afterstep ddd fvwm2 fvwm95 gnuplot gv menu olvwm pixmap procps
      vim xfig xpaint xxgdb
    as they are already present in the packages themselves.
    (list supplied by Andreas Jellinghaus <aj@fw-athene.wiwi.uni-karlsruhe.de>)
  * Added a wm-menu-config script, and updated documentation.
    Now window managers are encouraged to use this instead of directly
    calling update-menus. (the script does more).

 -- joost witteveen <joost@rulcmc.leidenuniv.nl>  Thu, 15 Jan 1998 00:48:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 
 
 build:
-	make -C .           
-	make -C menu-method 
+	make -C .           CXXFLAGS="$(CXXFLAGS)"       
+	make -C menu-method CXXFLAGS="$(CXXFLAGS)"
 	make -C fvwmgen     CXXFLAGS="$(CXXFLAGS)"
 	make -C doc
 	touch build
@@ -76,8 +76,8 @@
 	   menu-method/menu-method  debian/tmp/usr/sbin/install-menu
 	install  -g root -o root -m 0755 \
 	   su-to-root  debian/tmp/usr/sbin/su-to-root
-	install  -g root -o root -m 0755 \
-	   convert-menuentry debian/tmp/usr/bin/convert-menuentry
+	#install  -g root -o root -m 0755 \
+	#   convert-menuentry debian/tmp/usr/bin/convert-menuentry
 	install  -g root -o root -m 0644 \
 	   debian/menu debian/tmp/usr/lib/menu/
 	#
@@ -100,10 +100,15 @@
 	   debian/copyright debian/tmp/usr/doc/menu/copyright
 	install -g root -o root -m 644 \
 	   debian/changelog debian/tmp/usr/doc/menu/changelog.Debian
+	gzip -9 debian/tmp/usr/doc/menu/changelog.Debian
 	install -g root -o root -m 644 \
 	   update-menus.1 debian/tmp/usr/man/man1/update-menus.1
+	gzip -9 debian/tmp/usr/man/man1/update-menus.1
 	install -g root -o root -m 644 \
 	   menufile.5 debian/tmp/usr/man/man5/menufile.5
+	gzip -9 debian/tmp/usr/man/man5/menufile.5
+	install -g root -o root -m 755 \
+	   ./debian/wm-menu-config debian/tmp/usr/sbin/wm-menu-config
 	#
 	cp debian/conffiles debian/tmp/DEBIAN/conffiles
 	dpkg-shlibdeps ./update-menus ./menu-method/menu-method ./fvwmgen/fvwmgen

## menu 1.5-17

=== Makefile ===
CXXFLAGS=-g -Wall -O0

all: update-menus common.old.o 


update-menus.o: adstring.h  update-menus.cc update-menus.h
	rm -f update-menus.o
	g++ -c -o update-menus.o $(CXXFLAGS) update-menus.cc

update-menus: adstring.o update-menus.o
	rm -f update-menus
	g++ -o update-menus $(CXXFLAGS) update-menus.o adstring.o 

update-menus.old.o:update-menus.old.cc common.h update-menus.old.h
	rm -f update-menus.old.o
	g++ -c -o update-menus.old.o $(CXXFLAGS) update-menus.old.cc

update-menus.old: update-menus.old.o common.old.o
	rm -f update-menus.old
	g++ -o update-menus.old $(CXXFLAGS) update-menus.old.o common.old.o

clean   :
	rm -f *.o update-menus core update-menu update-new build 2 


adstring.o: adstring.cc adstring.h 
	g++ -c $(CXXFLAGS) -o adstring.o adstring.cc

=== fvwmgen/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 fvwmgen: fvwmgen.o ../common.old.o
 	rm -f fvwmgen
-	gcc -o fvwmgen $(CXXFLAGS) fvwmgen.o ../common.old.o -lstdc++
+	g++ -o fvwmgen $(CXXFLAGS) fvwmgen.o ../common.old.o -lstdc++
 
 clean   :
 	rm -f fvwmgen fvwmgen.o core

=== menu-method/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 CPPFLAGS=-I..
-CXXFLAGS=-O0 -g -Wall -fhandle-exceptions   
+CXXFLAGS=-g -Wall -O2
 
 all: menu-method
 
@@ -9,7 +9,7 @@
 
 menu-method: menu-method.o ../adstring.o
 	rm -f menu-method
-	gcc -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o -lstdc++ -lg++
+	g++ -o menu-method $(CXXFLAGS) menu-method.o ../adstring.o -lstdc++
 
 static: menu-method.o ../adstring.o
 	rm -f menu-method

=== debian/changelog ===
menu (1.5-17) frozen; urgency=low

  * Added 'technical' section to preferred menu layout. (promised to do
    that already long ago...) 
  * If install-menu runs as user, $rootprefix/ is used if $userprefix
    doesn't exist. Fixes 26851, but not as nicely as Joey suggests.
    (install-menu tests for the existance of the directory, not for the
    files within that dir, so if $userprefix exists, it has to contain all
    files).
  * Updated standards version.
  * Added manual pages for install-menu, install-fvwmgenmenu, su-to-root
    wm-menu-config (for lintian)
  * Fixed some misplacements in the menu.sgml file. In particular, part of
    the section intended for `packages with wm's', was put under `packages
    with applications'. This should have caused serious confusion.

 -- joost witteveen <joostje@debian.org>  Tue, 20 Oct 1998 22:33:00 +0200

menu (1.5-16) unstable; urgency=low

  * Corrected 'WindowManagers' entry in preferred menu tree (in the docs)
  * Added plurals to pixmap directories. Fixes: 26479
  * Changed 8 spaces to one tab in debian/rules. Fixes:26865

 -- joost witteveen <joostje@debian.org>  Sun, 20 Sep 1998 20:54:01 +0200

menu (1.5-15) unstable; urgency=low

  * Applied suggested changes in bugreport 25231. Fixes: 25231
  * Added Apps/hamradio to preferred menu structure (nobody but
    hamradioers will see it anyway (request by: Joop Stakenborg, 
    stakenborg@hyph.azr.nl))
  * replaced '[[:space:]]' with '[ \t]' in update-menus. Should at
    least make menu work around sed changes (Fixes: 25035)
  * Moved 'waiting for dpkg to finnish' message to just before the fork(),
    so that the user will now see it where it's expected (before, the
    message sometimes came after dpkg started installing the next
    pacakge). Also the message now only comes with the '-v' option.
 -- joost witteveen <joostje@debian.org>  Fri, 14 Aug 1998 22:24:43 +0200

menu (1.5-14) unstable; urgency=low

  * Added "Apps/Text" to the documentation
  * now uses "dpkg --get-selections" to get the installed packages.
  * applied suggested patch to su-to-root (default exit 1, only
    retry if user answered Y or y).

 -- joost witteveen <joostje@debian.org>  Sat, 11 Jul 1998 22:30:08 +0200

menu (1.5-13) unstable; urgency=low

  * Removed the packaging manual entry.
  * removed comments in the debian/rules file from imurdoc, saying it was
    "last modified 1994", and other rather out of date stuff.
  * Fixes to compile with egcs. (now uses optimisation!)
  * More understandable error message if menuentry files are incorrectly
    installed executable.
  * update-menus now installs without the executable bit on, the postinst
    turns it on.

 -- joost witteveen <joostje@debian.org>  Sat, 23 May 1998 16:33:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: joost witteveen <joostje@debian.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.4.1.0
 
 Package: menu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,31 +1,14 @@
 #! /usr/bin/make -f
 #   -*- mode: makefile; -*-
 #
-# Last updated: Sat Dec 17 10:52:20 EST 1994 by imurdock.
-#
-# To make the binary distribution package, the ``Debianized'' source package
-# and the context diff to the original package, type `./debian.rules dist'.
-# Make sure that `debian.rules' is executable before the final distribution
-# is made.
-#
-# Invoke each target with `./debian.rules <target>'.  All targets should be
-# invoked with the package root as the current directory.
-#
-# The `binary' target must be run as root, as it needs to install files with
-# specific ownerships.  The `diff' target assumes that you have the original
-# source package available, unpacked, in ../$(p)-$(v).orig, or that you have
-# the previous revision of the ``Debianized'' source package and context diff
-# in the parent directory.
 
 CC = gcc
 
 #gcc doesn't support optimisation with exeptions.
-CXXFLAGS = -g -fhandle-exceptions
-
-
+#but egcs does!
+CXXFLAGS = -g -O2 -Wall
 
 p = menu
-
 
 build:
 	make -C .           CXXFLAGS="$(CXXFLAGS)"       
@@ -33,7 +16,6 @@
 	make -C fvwmgen     CXXFLAGS="$(CXXFLAGS)"
 	make -C doc
 	touch build
-
 
 clean:	
 	#Undoes the effect of `make -f debian.rules build'.
@@ -45,13 +27,13 @@
 	make -C fvwmgen clean
 
 binary-indep:   checkroot build
-        $(checkdir)
+	$(checkdir)
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
 
 
-binary-arch:
+binary-arch: build
 	rm -rf debian/tmp
 	install -d -g root -m 755 -o root debian/tmp/DEBIAN
 	install -d -g root -m 755 -o root debian/tmp/usr/{bin,sbin}
@@ -68,7 +50,7 @@
 	install -g root -o root -m 755 \
 	   debian/prerm debian/tmp/DEBIAN/prerm
 	#
-	install -s -g root -o root -m 0755 \
+	install -s -g root -o root -m 0644 \
 	   update-menus debian/tmp/usr/bin/update-menus
 	install -s -g root -o root -m 0755 \
            fvwmgen/fvwmgen  debian/tmp/usr/sbin/install-fvwmgenmenu
@@ -102,7 +84,12 @@
 	   debian/changelog debian/tmp/usr/doc/menu/changelog.Debian
 	gzip -9 debian/tmp/usr/doc/menu/changelog.Debian
 	install -g root -o root -m 644 \
-	   update-menus.1 debian/tmp/usr/man/man1/update-menus.1
+	   update-menus.1 \
+	   install-menu.1 \
+	   install-fvwmgenmenu.1 \
+	   su-to-root.1 \
+	   wm-menu-config.1  \
+	   debian/tmp/usr/man/man1
 	gzip -9 debian/tmp/usr/man/man1/update-menus.1
 	install -g root -o root -m 644 \
 	   menufile.5 debian/tmp/usr/man/man5/menufile.5

## menu 2.1.5-3

=== doc/Makefile ===
all: menu.html/index.html menu.txt.gz menu.info.gz #menu.dvi

menu.html/index.html: menu.sgml
	debiandoc2html menu.sgml

%.info: %.sgml
	debiandoc2info $(*F).sgml

%.txt: %.sgml
	debiandoc2text -O $(*F).sgml > $(*F).txt

%.gz:   %
	gzip -f9 $(*F)

clean: 
	rm -rf menu.html *.info* *.dvi* *.txt*

distclean: clean

install:
	install -d -g root -m 755 -o root \
	     $(prefix)/share/doc/menu/examples \
	     $(prefix)/share/doc/menu/html \
	     $(prefix)/lib/menu/default \
	     $(prefix)/share/info
	cp `find ../examples/* -prune -type f` $(prefix)/share/doc/menu/examples
	cp `find ../default/* -prune -type f` $(prefix)/lib/menu/default
	cp -a menu.html/* $(prefix)/share/doc/menu/html
	cp -a menu.txt.gz $(prefix)/share/doc/menu/
	cp -a menu.info.gz $(prefix)/share/info/
	#
	install -g root -o root -m 644 \
	   menu.sgml README.changes BUGS $(prefix)/share/doc/menu/

=== messages/Makefile ===
PACKAGE=menu-messages
srcdir = .

LANGUAGES=eo

all:eo.mo

install:eo.mo
	for l in $(LANGUAGES); do \
	   DIR=../debian/tmp//usr/share/locale/$$l/LC_MESSAGES; \
	   install -d -o root -g root -m 755 $$DIR && \
	   install -o root -g root -m 0644 $$l.mo \
	     $$DIR/$(PACKAGE).mo; \
	done

menu-messages.pot:
	HOME= ../update-menus/update-menus --menumethod ./menu-method \
	                             --nodefaultdirs \
				     --menufiledir /usr/lib/menu


%.mo     : %.po
	msgfmt -o $(*F).mo $(*F).po 

%.pox    : %.po
	$(MAKE) $(PACKAGE).pot
	msgmerge $(*F).po $(PACKAGE).pot -o $(*F).pox

#$(PACKAGE).pot: menu-messages.in Makefile
#	 xgettext --default-domain=$(PACKAGE) \
#	   --add-comments -a -LC++ --keyword=_ --keyword=N_ \
#	     menu-messages.in \
#	 && test ! -f $(PACKAGE).po \
#	    || ( rm -f $(PACKAGE).pot \
#		&& mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot )

clean:

distclean: clean
	rm -f eo.mo

=== debian/changelog ===
menu (2.1.5-3) frozen unstable; urgency=low

  * recompile, rest identical to version of Julian Gilbey.
    Just recompiling sems to fixing the `missing menu entry' problem.

 -- joost witteveen <joostje@debian.org>  Sat, 22 Jan 2000 19:11:35 +0100

menu (2.1.5-2.1) frozen unstable; urgency=low

  * Non-maintainer upload (at joost's request)
  * Correct install-menu problem which was leaving some generated menus
    incomplete and broken (closes: #55603 (RC bug))

 -- Julian Gilbey <jdg@debian.org>  Thu, 20 Jan 2000 23:31:24 +0000

menu (2.1.5-2) unstable; urgency=low

  * Should add: (see 2.1.4-5).
  * "onlyrunasroot" checking done as soon as possible, so that
    install-menu doens't check for sane-ness of varables if
    run as non-root.
  * Fixed segfault in case rootprefix/usrprefix is undefined.
    Closes: #53933, #52961
  * added a `repeat_lang="LOCALE"' directive, to get back the old
    `unasked for' translation behavior (where update-menus would
    translate into the current LOCALE).
    
 -- joost witteveen <joostje@debian.org>  Wed,  5 Jan 2000 22:09:12 +0100

menu (2.1.5-1) unstable; urgency=low

  * This is an interim release; it breaks the (never used anyway)
    `old' gettext translations, but allows gnome etc WM's to
    creat startup files with translations for various languages.

  * moved last files from /usr/doc to /usr/share/doc. Same for /usr/info.
  * install-menu: added a translate() function.
  * install-menu: added a forall() function.
  
 -- joost witteveen <joostje@debian.org>  Sun,  5 Dec 1999 19:04:42 +0100

menu (2.1.4-4) unstable; urgency=low

  * Applied patch in 47259, to fix spaces/tabs in menu.sgml.
    Closes: #47259.
  * (minor) updates to menu.sgml docs.
  * Corrected help (-h) text of install-menu
  * when user starts install-menu, and it wants to read an
    examplercfile, install-menu now also searches it in $rootprefix
    (not just in ${HOME}/$userprefix/).
    Closes: #50867, #50298
  * !include-ed files in the menu-methods are also looked for in
    /etc/menu-methods, if they cannot be found in ~/.menu-methods.
    (if non-root starts install-menus).
  * (install-menu) error message if $section etc are empty should
    be clearer about that menu first reads whole line, and that somewhere
    on that line section wasn't defined.
  * (adstring.cc) if `basepos' in report() isn't 0, then maybe I should
    print `[...]' at the start of the line.

 -- joost witteveen <joostje@debian.org>  Mon, 22 Nov 1999 22:36:16 +0100

menu (2.1.4-3) unstable; urgency=low

  * Upgraded debhelper, and added usr/doc link removeal/link creation
    stuff in prerm/postinst.
  * Upgraded standards version.
  * now use `string::size_type' for all string iterators, rather
    than `unsigned int'. Closes: #47177

 -- joost witteveen <joostje@debian.org>  Tue, 12 Oct 1999 21:43:26 +0200

menu (2.1.4-2) unstable; urgency=low

  * In update-menus, terminate arguments to execve /etc/menu-methods/*
    scripts with NULL. (forgot that, didn't actually seem to cause 
    problems, though).
  * install-menu segfault-ed on the prefix() function if run from
    update-menus as non-root (and only then). Caused by clearing of
    enviromenent of new update-menus. Fixed (in install-menu).
  * In update-menus, just before execve-ing the /etc/menu-methods/*
    scritps, close(1), and then dup it from fd 0. This appears to
    make pipes work again in the postrun etc commands in the 
    /etc/menu-methods/* scripts. Closes: #46971
	
 -- joost witteveen <joostje@debian.org>  Sat,  9 Oct 1999 17:01:14 +0200

menu (2.1.4-1) unstable; urgency=low

  * remove -n "$icon" as xterm arguments, as that was fake. Closes: #46788
  * update-menus now reports error status of /etc/menu-methods/*
    scripts
  * When run under dpkg, don't print messages about
    /tmp/update-menus.$$ files any more.
  * Partially removed debugstatements to debug menu-2.1.3-2 actually
    caused line numbers reported on errors to be wrong. Fixed.
  * Finally used derived execptions (removed those for g++ 2.7, but
    now they work again).
  * More adoptations to stdc++'s string class (warning!)
  * Use -Wall again.
	
 -- joost witteveen <joostje@debian.org>  Tue,  7 Oct 1999 22:28:08 +0200

menu (2.1.3-3) unstable; urgency=low

  * Due to changes in the way the rope::find() function in
    libstdc++ works, menu 2.1.3-2 at all mem and then segfaulted.
    now using `string' again (no rope), and fixed that segfault.
  * Applied second patch from Joey Hess, to close open 
    filehandles (this time the `32!=r' version)
	
 -- joost witteveen <joostje@debian.org>  Tue,  5 Oct 1999 22:28:08 +0200
	

menu (2.1.3-2) unstable; urgency=low

  * Added menuentries for gpm, dpkg. (in default menu files, should be
    in gpm/dpkg packages anyway).
  * Applied patch from Joey Hess, to close open filehandles.
  * Fixed error in adstring.h, that caused (one) compilation error
    on newer versions of g++/libstdc++
  * Fixed minor `possibly uninitialised variable' warning
  * Replaced -Wall with -W on the g++ commandline, as a bug in
    newer g++ or libstdc++-dev versions cause a whole load of warning 
    messages, on just including rope.h.

 -- joost witteveen <joostje@debian.org>  Sat,  2 Oct 1999 22:28:08 +0200

menu (2.1.3-1) unstable; urgency=low

  * Updated the description of this package, as it was 
    somewhat outdated.
  * Added /etc/menu-methods/menu.config to the conffiles. Fixes: Bug#42379
  * use sigprocmask to unblock the signal I use. Under apt, libc&pthread
    used to block SIGUSR1. To get around this, also use SIGUSR2 now.
    I don't want to see this bug any more! Fixes: 42051, etc.
  
 -- joost witteveen <joostje@debian.org>  Wed,  4 Aug 1999 12:41:08 +0200

menu (2.1.2-4) unstable; urgency=low

  * Another test-release for bug 42051. More debugging added

 -- joost witteveen <joostje@debian.org>  Mon,  2 Aug 1999 18:18:46 +0200

menu (2.1.2-3) unstable; urgency=low



=== debian/control ===
Source: menu
Section: admin
Priority: optional
Maintainer: joost witteveen <joostje@debian.org>
Standards-Version: 3.0.1.1

Package: menu
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: pdmenu (<=0.5.9)
Description: provides update-menus functions for some applications
 The intent of this package is to streamline the menu's (like the
 fvwm2 ones) in debian. For this purpose, menu provides an "update-menus"
 command, that will read all installed menu files (as provided by
 other packages in /usr/lib/menu), and run the frontents for various
 window-managers in /etc/menu-methods to create startup files for
 the window managers (or pdmenu).
 The user and system admin can easily override the menu files
 on a by-user or by-system bases.

=== debian/rules ===
#! /usr/bin/make -f
#   -*- mode: makefile; -*-
#
# Based on the sample file shipped with debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# In the Makefile.am themselves I've put -O0, as that speeds
# up compilation significantly (from 10 or so to 1 minute).
# But debian policy says to compile with -O2 (also it really
# does speed up runtime: about 2--3 times as fast).
CXXFLAGS = -g -O2 -Wall

build: build-stamp
build-stamp:
	dh_testdir
#	autoconfig
	automake
	./configure --prefix=/usr
	$(MAKE) CXXFLAGS="$(CXXFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs \
		   usr/sbin \
		   etc/menu-methods \
		   etc/menu \
		   usr/lib/menu/default \
		   usr/share/doc/menu \
		   usr/X11R6/include/X11/pixmaps

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=`pwd`/debian/tmp/usr install

	cp `find default/* -prune -type f` debian/tmp/usr/lib/menu/default
	cp examples/translate_menus examples/menu.h \
	   examples/menu.config debian/tmp/etc/menu-methods 
	cp examples/cmap.xpm debian/tmp/usr/X11R6/include/X11/pixmaps
	#
	install -g root -o root -m 644 \
	   doc/README.changes debian/tmp/usr/share/doc/menu/
	install -g root -o root -m 644 \
	   doc/README.config-menus debian/tmp/etc/menu/README
	install -g root -o root -m 644 \
	   doc/README.menu-methods debian/tmp/etc/menu-methods/README
	install -g root -o root -m 644 \
	   doc/README.package-menus debian/tmp/usr/lib/menu/README
	#
	mv debian/tmp/usr/bin/install-menu debian/tmp/usr/sbin
	mv debian/tmp/usr/bin/install-fvwmgenmenu debian/tmp/usr/sbin
	install -g root -o root -m 755 \
	  scripts/install-fvwmgenmenu.sh scripts/su-to-root \
	  scripts/wm-menu-config \
	  debian/tmp/usr/sbin
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do here, no architecture independant packages here.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
